Overview
POST/bucket/access-groups/{groupId}/membersbucket

Add a member (user/organization/persona/app/token) to an access group

Create a record in members.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • groupIdpathstring
Request body

application/json · optional

  • memberType"user" | "organization" | "persona" | …
  • memberIdstring
Example
{
  "memberType": "user",
  "memberId": "string"
}
Responses
201

Added member

  • idstring
  • ecosystemIdstring
  • accessGroupIdstring
  • memberType"user" | "organization" | "persona" | …
  • memberIdstring
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "accessGroupId": "string",
  "memberType": "user",
  "memberId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}/members" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "memberType": "user",
  "memberId": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}/members", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"memberType\": \"user\",\n  \"memberId\": \"string\"\n}",
});
const data = await res.json();